XMTOOLBOX(1)

NAME
xmtoolbox - application launcher

SYNOPSIS
xmtoolbox [-rcfile <file>] [-horizontal] [-hotkey [modifier[+...]]+key]

DESCRIPTION
XmToolbox displays a user defined, multi-level menu of application groups and applications. It also interfaces with the xmsm(1) session manager to provide screen locking and session commands.

OPTIONS

-rcfile <full path>
    Specify a configuration file to use. See CONFIGURATION for details.

-title String
    Specify toolbox window title. Default is user's login name and the host name.

-hotkey [Modifier ...] Key
    Hotkey to raise and focus the toolbox window. See the resource description below.

-horizontal
    Specifies whether the top-level menu should be laid out horizontally, rather than vertically.

-version
    Print version info and exit.

CONFIGURATION

XmToolbox reads its menu configuration from text files. If not specified on command line with the -rcfile option, its location defaults to .toolboxrc in user's home directory and toolboxrc in any of system configuration directories e.g. /etc/X11, /usr/lib/X11.

  Menu Definition Syntax

# Comment
MenuTitle
{
	ApplicationTitle: Command
	ApplicationTitle: Command
	[SEPARATOR]
	...
}
A menu is defined by specifying the menu title followed by the opening menu scope delimiter { on an otherwise empty line. Menu items are defined one per line within the scope. The scope is terminated with the menu scope closing delimiter } on an otherwise empty line.

Menu item definitions start with the title string, separated by the : delimiter from the command† to be executed (all characters to the end of the line, except trailing whitespace, are treated as a part of the command). A horizontal separator line may be added between menu items using the special identifier SEPARATOR. Any character in the title string may be prefixed with the ampersand character to specify a mnemonic. Comments may be entered following the # character at the beginning of a line. Sub-menus may be defined by placing them within the scope of another menu. Literal & and : characters in title strings may be specified by escaping them with the \ character.

† A command string containing whitespace characters will be broken up into separate arguments. Literal whitespace may therefore be specified either by escaping it with \, or enclosing the part of the string in quotation marks. The command string may also contain sh(1) like ($... and ${...}) environment variables, which will be expanded accordingly. A literal $ may be specified with $$. Undefined variables are not treated as error and expand to nothing, though a warning is printed to stderr.

RESOURCES

title String
    This resource is used to specify a custom window title. Defaults to user's login name and the host name: <user>@<host>.

dateTimeDisplay Boolean
    Display date and time. Default is True.

dateTimeFormat String
    Date and time format string. See strftime(3). Defaults to "%m/%d %l:%M %p".

hotkey [Modifier ...] Key | None
    One or more modifiers followed by a key name (X KeySym names, separated by whitespace or +) defining the hotkey to raise and focus the toolbox window at any time, or None if no hotkey assignment is desired. Defaults to None.

horizontal Boolean
    Specifies whether the top-level menu should be laid out horizontally, rather than vertically. Default is False.

occupyAllWorkspaces Boolean
    If set to True, the Toolbox window will request to be put in all workspaces. Default is True.

rcFile String
    Full path to the configuration file. See CONFIGURATION for details.

separators Boolean
    If set to True, separators will be displayed between launcher, session and workspace and time/date display parts. Default is True.

workspaceSwitcher Boolean
    If set to True and the window manager has more than one workspace, the workspace switcher will be displayed. Default is True. See also: WORKSPACE SWITCHER RESOURCES.

WORKSPACE SWITCHER RESOURCES
The workspace switcher widget's class and instance names are WorkspaceSwitcher and workspaceSwitcher, respectively. It inherits resources from XmPrimitive(3).

The default translation table maps number keys 1 to 8 to workspace buttons. This can be customized by overriding the translation table with the SelectWorkspace(<index>) (where <index> is the zero based button index) action mapped to key events desired.

columns Integer
    Specifies the maximum number of workspace buttons to be placed in a single row before wrapping. If there are not enough buttons to fill a complete row, their widths will be stretched accordingly. Default value is 4.

marginWidth  Integer
    Specifies the horizontal inner padding in workspace buttons. Default is 2.

marginHeight  Integer
    Specifies the vertical inner padding in workspace buttons. Default is 2.

renderTable XmRenderTable
    Specifies the render table to be used for drawing button labels.

SIGNALS
XmToolbox responds to SIGUSR1 signal by reparsing the menu configuration file.

SEE ALSO
xmsm(1) emwm(1)

AUTHORS
Toolbox was written and is maintained by alx@fastestcode.org